#ifndef __CONFIG_H__
#define __CONFIG_H__

#define ADDRESS_BOOK_APP_CLICK_MODE         @CLICK_MODE_ENABLED@
#define ADDRESS_BOOK_APP_NAME               "@ADDRESS_BOOK_APP_NAME@"
#define ADDRESS_BOOK_APP_INSTALL_DATADIR    "@ADDRESS_BOOK_APP_FULL_DIR@"
#define ADDRESS_BOOK_APP_DEV_DATADIR        "@lomiri-addressbook-app-src_SOURCE_DIR@"
#define ADDRESS_BOOK_APP_BINDIR             "@ADDRESS_BOOK_APP_BINDIR@"
#define ADDRESS_BOOK_DEV_BINDIR             "@CMAKE_BINARY_DIR@"
#define SNAP_PATH                           "SNAP"
#define QT_EXTRA_IMPORTS_DIR                "@QT_EXTRA_IMPORTS_DIR@"
#define ADDRESS_BOOK_APP_CLICK_PACKAGE      "@CLICK_MODE@"
#define I18N_DIRECTORY                      "@CMAKE_INSTALL_PREFIX@/share/locale"

#define SETTINGS_ORGANIZATION_NAME          "address-book.ubports"
#define SETTINGS_ORGANIZATION_DOMAIN        "ubports.com"
#define SETTINGS_APP_NAME                   "AddressBookApp"

#endif
